## argparse4j 0.9.0

=== main/src/site/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -D version=$(PACKAGE_VERSION) -D release=$(PACKAGE_VERSION)
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Spdylay.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Spdylay.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Spdylay"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Spdylay"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## argparse4j 0.4.4

=== debian/changelog ===
argparse4j (0.4.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 17:16:45 +0100

argparse4j (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #769866)

 -- Tim Potter <tpot@hp.com>  Thu, 04 Dec 2014 09:02:26 +0100

=== debian/control ===
Source: argparse4j
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>
Build-Depends: debhelper (>= 9),
               default-jdk,
               javahelper,
               junit4,
               libmaven-javadoc-plugin-java,
               libmaven-source-plugin-java,
               maven-debian-helper
Standards-Version: 3.9.6
Homepage: http://argparse4j.sourceforge.net
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-java/argparse4j.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/argparse4j.git

Package: libargparse4j-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: libargparse4j-java-doc, ${maven:OptionalDepends}
Description: command-line argument parser for Java based on Python's argparse module
 Argparse4j is a command line argument parser library for Java based on
 Python's argparse module.  The features of argparse4j include:
 .
   * Supported positional, optional and variable number of arguments.
   * Generates well formatted line-wrapped help message.
   * Suggests optional arguments/sub-command if unrecognized
     arguments/sub-command were given.
   * Takes into account East Asian Width ambiguous characters when line-wrap.
 .
 This package contains the library files for libarparse4j-java.

Package: libargparse4j-java-doc
Architecture: all
Section: doc
Depends: ${maven:DocDepends}, ${misc:Depends}
Suggests: libargparse4j-java, ${maven:DocOptionalDepends}
Description: documentation for libargparse4j-java
 Argparse4j is a command line argument parser library for Java based on
 Python's argparse module.  The features of argparse4j include:
 .
   * Supported positional, optional and variable number of arguments.
   * Generates well formatted line-wrapped help message.
   * Suggests optional arguments/sub-command if unrecognized
     arguments/sub-command were given.
   * Takes into account East Asian Width ambiguous characters when line-wrap.
 .
 This package contains the API documentation of libargparse4j-java.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERSION=1

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven --with javahelper

get-orig-source:
	uscan --download-current-version --rename --force-download

=== debian/watch ===
version=3
https://github.com/tatsuhiro-t/argparse4j/tags .*/argparse4j-([\d\.]+).tar.gz

## argparse4j 0.9.0

=== debian/changelog ===
argparse4j (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1052590)
  * Removed the -java-doc package
  * Removed the build dependency on libmaven-source-plugin-java
  * Use salsa.debian.org Vcs-* URLs
  * Standards-Version updated to 4.6.2
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Sep 2023 09:58:06 +0200

=== debian/control ===
Source: argparse4j
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               junit4,
               maven-debian-helper
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/argparse4j.git
Vcs-Browser: https://salsa.debian.org/java-team/argparse4j
Homepage: http://argparse4j.sourceforge.net

Package: libargparse4j-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: command-line argument parser for Java based on Python's argparse module
 Argparse4j is a command line argument parser library for Java based on
 Python's argparse module.  The features of argparse4j include:
 .
   * Supported positional, optional and variable number of arguments.
   * Generates well formatted line-wrapped help message.
   * Suggests optional arguments/sub-command if unrecognized
     arguments/sub-command were given.
   * Takes into account East Asian Width ambiguous characters when line-wrap.
 .
 This package contains the library files for libarparse4j-java.

=== debian/watch ===
version=4
https://github.com/tatsuhiro-t/argparse4j/tags .*/argparse4j-([\d\.]+).tar.gz
